from __future__ import print_function
from sys import stdin
import math

def printf(str, *args):
	print(str % args, end='')

while True:
	printf("a, b, c 값을 입력합니다.\n")
	printf("a= ")
	a = int(stdin.readline())
	printf("b= ");
	b = int(stdin.readline())
	printf("c= ");
	c = int(stdin.readline())
	if a==0:
		if b==0:
			if c==0:
				printf("부정입니다\n")
			else:
				printf("불능입니다\n")
		else:
			x=c/b
			printf("1차 방정식 입니다. \n x=%lf\n" % x);
	else:
		if b*b-4*a*c>0:
			x1 = (-b + math.sqrt(b*b-4*a*c))/(2*a)
			x2 = (-b - math.sqrt(b*b-4*a*c))/(2*a)
			printf("2차 방정식 입니다. 두 개의 실근 \n x1 = %lf x2 = %lf\n" % (x1,x2))
		elif b*b-4*a*c == 0:
			x=-b/(2*a)
			printf("2차 방정식 중근입니다. \n x=%lf\n" % x)
		else:
			printf("허근입니다\n")

stdin.readline()